import request from '@/utils/request'

export function selectOrg(query) {
  return request({
    url: '/organize/createOrganize',
    method: 'post',
    params: query
  })
}

export function updateOrg(query) {
  return request({
    url: '/organize/updateOrganize',
    method: 'post',
    params: query
  })
}

export function updateOrgAuth(data) {
  return request({
    url: '/organize/updateOrgAuth',
    method: 'post',
    data
  })
}

export function sendWXMsg(query) {
  return request({
    url: '/organize/sendWXMsg',
    method: 'post',
    params: query
  })
}

export function deleteOrg(data) {
  return request({
    url: '/organize/deleteOrgById',
    method: 'post',
    data
  })
}

export function deleteOrgList(query) {
  return request({
    url: '/organize/deleteOrgQuantity',
    method: 'post',
    params: query
  })
}

export function auditOrganizeInterest(query) {
  return request({
    url: '/organize/auditOrganizeInterest',
    method: 'post',
    params: query
  })
}

export function selectUserByUserName(query) {
  return request({
    url: '/organize/selectUserByUserName',
    method: 'post',
    params: query
  })
}
